Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataxslt
Class SAXValidate

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.knowgate.dataxslt.SAXValidate

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class SAXValidate

extends org.xml.sax.helpers.DefaultHandler
implements org.xml.sax.ErrorHandler

SAXValidate Class. XML Document Parser Validator.

Constructor Summary
`SAXValidate(boolean validateschema)` Construye una instancia de la clase handler

Method Summary
`void` | `error(org.xml.sax.SAXParseException exception)`
`static void` | `main(java.lang.String[] args)` Rutina principal para probar la utilidad SAXValidate.
`void` | `runTest(java.io.Reader xml, java.lang.String parserName)` Ejecuta el test

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ErrorHandler
`fatalError, warning`

Constructor Detail

### SAXValidate

    public SAXValidate(boolean validateschema)

  Construye una instancia de la clase handler

Method Detail

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `error` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### main

    public static void main(java.lang.String[] args)

  Rutina principal para probar la utilidad SAXValidate.

### runTest

    public void runTest(java.io.Reader xml,
                        java.lang.String parserName)
                 throws java.io.IOException,
                        java.lang.ClassNotFoundException

  Ejecuta el test

  Parameters:
    `xml` - stream xml que se quiere parsear
    `parserName` - nombre de una clase parser "SAX2 compliant"
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD